# Generated from fastlane-plugin-raven-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fastlane-plugin-raven

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Plugin to manage Releases and upload JS Sourcemaps
License: MIT
URL: https://github.com/mortik/fastlane-plugin-raven
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec) < 1
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(fastlane) >= 2.23
# BuildRequires: rubygem(fastlane) < 3
# BuildRequires: rubygem(fastlane) >= 2.23.0
BuildArch: noarch

%description
Plugin to manage Releases and upload JS Sourcemaps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
